#!/bin/sh

set -e

find_python()
{
	local candidate=''

	for candidate in \
		/opt/storpool/python2/bin/python3 \
		/opt/storpool/python2/bin/python2 \
		/usr/bin/python3.8 \
		/usr/bin/python3.7 \
		/usr/bin/python3.6 \
		/usr/bin/python3.5 \
		/usr/bin/python3.4 \
		/usr/bin/python3 \
		/usr/bin/python2.7 \
		/usr/bin/python2.6 \
		/usr/bin/python2 \
		/usr/bin/python \
		/usr/libexec/platform-python \
		; do
		if [ -f "$candidate" ] && [ -x "$candidate" ]; then
			printf -- '%s\n' "$candidate"
			return
		fi
	done

	echo 'Could not find a suitable Python interpreter' 1>&2
	exit 1
}

python="$(find_python)"
thisdir="$(dirname -- "$(readlink -f -- "$0")")"
exec "$python" -B -- "$thisdir/storpool_variant" "$@"
